Get Widget
Endpoint used to get a widget.
Request Example
Section titled “Request Example”curl --request GET \ --url https://chat.api.toolzz.com.br/api/v1/widget/{widgetId} \ --header 'Authorization: Bearer TOKEN_HERE'Response Example
Section titled “Response Example”{ "id": "uuid", "institutionId": "uuid", "title": "<string>", "subTitle": "<string>", "headerIconFileId": "uuid", "primaryColor": "<string>", "secondaryColor": "<string>", "widgetIconFileId": "uuid", "primaryAIColor": "<string>", "secondaryAIColor": "<string>", "avatarIconFileId": "uuid", "aiFirstMessage": "<string>", "primaryUserColor": "<string>", "secondaryUserColor": "<string>", "Bot": null, "headerIcon": "uuid", "widgetIcon": "uuid", "avatarIcon": "uuid", "defaultMessages": [], "audioVoice": "<string>", "voiceActive": false, "isPublic": true, "isOpen": false, "isActive": true, "isActivated": true, "unity": { "isActivated": true, "id": "uuid", "institutionId": "uuid", "unityUuid": "uuid", "faviconUrl": "uuid", "theme": "<string>", "subdomain": "<string>", "name": "<string>", "credentialProjectId": "uuid" }, "favorites": []}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (“Bearer” must be before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
widgetId | UUID | Widget identifier. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
id | UUID | Unique identifier of the Widget configuration. |
institutionId | UUID | Unique identifier of the owning institution. |
title | String | Main title displayed in the Widget header. |
subTitle | String | Subtitle or short description displayed in the header. |
primaryColor | String | Main interface color (Hexadecimal). |
secondaryColor | String | Contrast/secondary interface color. |
aiFirstMessage | String | Automatic initial greeting sent by the Agent. |
Bot | Object | Object containing the linked Agent settings (null if none). |
audioVoice | String | Identifier of the audio profile for text reading. |
voiceActive | Boolean | Defines if voice functionality is enabled. |
isPublic | Boolean | Defines if the Widget is publicly accessible. |
isOpen | Boolean | Defines if the Widget starts expanded when loading the page. |
unity | Object | Data of the organizational unit to which the Widget belongs. |
unity.id | UUID | Unique unit identifier. |
unity.name | String | Organizational unit name. |
unity.subdomain | String | Specific unit subdomain, if any. |
favorites | Array | List of identifiers of users who favorited this Widget. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request. Additionally, the API is protected by other security measures to safeguard user data.
To access your access token, follow these steps:
- Log in to the ToolzzAI platform
- Click on “Settings”
- Click on “Access Token”
- Copy the access token
